7 瞎猫碰死耗子

尚未进行身份认证

网站建设、程序系统开发

等级
TA的排名 5w+

form.render('select') 更新渲染问题

最近在做项目的时候用到selectN,发现我在ajax动态动态渲染的时候页面不变,找了好久才发现问题所在看了fly社区的案例是用的layui.form('select').render();这个是可以只刷新你动态更新的那部分select//渲染表单layui.use(['form'],function(){varform=layui.for...

2019-07-29 15:56:40

百度编辑器动态渲染内容

效果:后台采用微擎模板,前端代码 <divclass="form-group"> <labelclass="col-xs-12col-sm-3col-md-2control-label">详情模板</label> <divclass="col-sm-9col-xs-12"> ...

2019-07-29 08:37:21

thinkphp5 递归查询所有子代

functionget_childs($parent_id=array(),$level=0){static$id_arr=array();$id_arr=Db::name('users')->where('parent_id','in',$parent_id)->column('id');//限制3级...

2019-07-13 13:31:29

解决php接受ajax传来的json,json_decode为null

PHP接收POST过来的JSON格式数据,内含html实体,无法解析解决方案:echojson_decode(htmlspecialchars_decode($_POST['data']));

2019-07-01 08:57:16

记录一下用itchat的各种骚操作

记录一下用itchat的各种骚操作:https://www.cnblogs.com/wang-li/p/9744502.html作者博客地址:http://www.yooongchun.cn/github:https://github.com/yooongchun/Python_wechat

2019-06-26 21:53:00

用python 玩微信

用PYTHON玩微信(非常详细)代码放在这里:wzyonggege/python-wechat-itchat词云那里可以换成小黄人图片---------------------------------------------------------------------------------------------------0.itchat最近研究了一些微信的玩法,...

2019-06-26 10:26:44

thinkphp5 微信支付微信提现开箱即用

<?phpnamespaceapp\phpapi\controller;useapp\common\controller\Api;usethink\Db;/***微信app支付接口*/classWxpayextendsApi{private$config;private$token_info;publicfunc...

2019-06-21 09:05:38

CentOS 7上通过virtualenv部署虚拟环境

virtualenv可以搭建虚拟且独立的python环境,可以使每个项目环境与其他项目独立开来,保持环境的干净,解决包冲突问题。一、安装virtualenvvirtualenv实际上是一个python包,所以我们可以用easy_install或者pip安装。下面介绍在CentOS系统上的安装方法。easy_install安装方式: 1 2 ...

2019-06-06 11:44:29

centos 7解决No module named ‘_sqlite3’ python3.7.3

第一种:下载安装sqlite重新编译yuminstallsqlite-devel,2.重新编译python./configure--prefix=/usr/local/python3/--enable-loadable-sqlite-extensions&&make&&makeinstall第二种:手动拷贝如果在...

2019-06-06 11:25:11

常用开发工具破解

NavicatPremiumhttps://www.jianshu.com/p/1452655299f5ideahttp://idea.lanyus.com/

2019-04-11 10:52:51

解决tomcat控制台中文乱码问题

控制台启动会有乱码,找了很多方法都不行,最后找到一个可用的方法,非常简单打开tomcat/conf/logging.properties找到java.util.logging.ConsoleHandler.encoding=UTF-8修改为java.util.logging.ConsoleHandler.encoding=GBK如果没找到就在下图位置添加重启tomcat...

2019-04-04 09:00:34

woocommerce 开启用户注册功能

最近在帮朋友开发外贸网站,基于wordpress的woocommerce插件,需要开启用户注册功能,发现只要修改下配置即可,首先登录你的Wordpress管理员帐号,并进入管理后台,点击左侧菜单栏的“设置”--“常规”在打开的设置页面,下方找到“允许任何人注册”,前方勾选,下面有一个当用户注册默认的角色,不同的角色对应不同的后台权限,我们根据自己的需要选择,设置完毕后,点击“确定”保存...

2019-03-14 09:41:03

几张图看懂区块链技术到底是什么?

“区块链”的概念可以说是异常火爆,好像互联网金融峰会上没人谈一谈区块链技术就out了,BAT以及各大银行还有什么金融机构都在开始自己的区块链研究工作,就连IBM最近也成立了自己的区块链研究实验室,但其实区块链到底是什么?大家或许并不清楚,停留在雾里看花的状态。从今天开始,就让我们一起走进区块链,揭开区块链的神秘面纱吧!  取快链?你想说的是区块链吧?  要说清楚区块链,我们...

2019-03-12 13:17:39

lnmp 安装swoole扩展 方法

在lnmp环境下用 peclinstallswoole安装swoole,运行php出现警告NOTICE:PHPmessage:PHPWarning: PHPStartup:Unabletoloaddynamiclibrary'swoole.so'(tried:/usr/local/php/lib/php/extensions/no-debug-non-zts...

2019-02-16 12:55:40

解决lnmp环境下部署fastadmin无法写入配置文件application/database.php

利用lnmpvhostadd增加虚拟主机,直接下载fastadmin源码到目录,然后通过http://域名/install.php安装,结果提示“当前权限不足,……” ;解决方案:经排查是open_basedir问题查看 /usr/local/nginx/conf/fastcgi.conf默认是把网站跟目录写到了open_basedirNginx 需要修改 ngin...

2019-02-13 15:15:15

CentOS7升级cmake

背景在编译Hadoop3.0的时候,在cmake编译阶段失败,错误如下:[WARNING]CMakeErroratCMakeLists.txt:23(cmake_minimum_required):[WARNING]CMake3.1orhigherisrequired.Youarerunningversion2.8.12.2很明显,这是cma...

2019-01-15 18:14:15

Linux下编译安装PHP7.3.1

【准备工作】所有操作需要在root用户下本机测试案例系统信息:centos7.4安装路径:/usr/local/php 【安装PHP】先安装如下依赖包$ yuminstall-ygccgcc-c++ makezlibzlib-develpcrepcre-devel libjpeglibjpeg-devellibpnglibpng-de...

2019-01-15 17:39:55

wordpress woocommerce 主题storecommerce 整合 Sample Slider

首先安装storecommerce主题 修改wp\wp-content\themes\storecommerce\inc\blocks\block-slider-page.php<?phpif($all_posts->have_posts()):?><?phpechodo_shortcode(...

2019-01-15 10:47:54

wordpress二次开发

1.修改默认满屏:wordpress\wp-content\themes\shop-isle\assets\js\custom.jsline:1072语言切换:wordpress\wp-content\languages\themes\shop-isle-zh_CN.poordpress里有.po和.mo文件,是用于对wordpress进行语言翻译的文件至于编辑工具,由于...

2019-01-14 08:54:51

解决wordpress5.0.3版本本地开发访问慢的原因

我用的是wordpress5.0.3版本用phpstudy搭建wordpress时候,运行起来很慢,原因是wordpress\wp-includes\script-loader.php文件中引入了GoogleAPI,需要替换成GoogleAPI(ajax,fonts等)国内版,我采用用的是中科大的镜像,参考https://servers.ustclug.org/2014/07/ust...

2019-01-12 10:00:25

查看更多

勋章 我的勋章
  • 持之以恒
    持之以恒
    授予每个自然月内发布4篇或4篇以上原创或翻译IT博文的用户。不积跬步无以至千里,不积小流无以成江海,程序人生的精彩需要坚持不懈地积累!
  • 勤写标兵Lv1
    勤写标兵Lv1
    授予每个自然周发布1篇到3篇原创IT博文的用户。本勋章将于次周周三上午根据用户上周的博文发布情况由系统自动颁发。